/// Generated By XFlutter Cli.
///
/// more info: https://medium.com/@aghiadodeh
import 'package:flutter/material.dart';
import 'package:flutter_mvvm_example/models/data/user/user.dart';
import 'package:flutter_mvvm_example/ui/resources/dimensions/dimensions.dart';
import 'package:flutter_mvvm_example/ui/screens/home/widgets/theme_switch_widget.dart';
import 'package:flutter_mvvm_example/ui/screens/home/widgets/user_card.dart';
import 'package:flutter_mvvm_example/ui/widgets/infinite_scroll_view/infinite_scroll_view.dart';
import "package:flutter_mvvm_example/ui/widgets/singleton/singleton_widget.dart";
import "../viewmodels/home_viewmodel.dart";
import 'package:flutter_mvvm_example/ui/core/layouts/theme_widget.dart';

class HomeMobileScreen extends StatelessWidget {
  const HomeMobileScreen({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return SingletonWidget<HomeViewModel>(
      builder: (viewModel) {
        return ThemeWidget(
          builder: (context, theme) {
            return Padding(
              padding: const EdgeInsets.symmetric(horizontal: unit),
              child: Column(
                children: [
                  const ThemeSwitchWidget(),
                  Expanded(
                    child: InfiniteScrollView<HomeViewModel, User>(
                      itemBuilder: (user) => UserCard(user: user),
                    ),
                  ),
                ],
              ),
            );
          },
        );
      },
    );
  }
}
